<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>Easy2Track QR-Code Scannen</title>
        <!-- Favicon-->
        <link rel="icon" href="./favicon-1.ico" sizes="32x32"/>
        <link rel="icon" href="./favicon-1.ico" sizes="192x192"/>
        <link rel="apple-touch-icon" href="./favicon-1.ico"/>
        <meta name="msapplication-TileImage" content="./favicon-1.ico"/>

        <!-- Bootstrap Icons-->
        <link href="./css/bootstrap-icons.css?v=[cs_version]" rel="stylesheet" />
        <!-- fonts-->
        <link href="./css/font.css?v=[cs_version]" rel="stylesheet" />

         <!-- App function CSS -->
         <link href="./pbcdn/css/spinner.css?v=[cs_version]" rel="stylesheet">
         <link href="./pbcdn/vendor/semanticui/semantic.min.css?v=[cs_version]" rel="stylesheet">


        <!-- Core theme CSS (includes Bootstrap)-->
        <link href="css/easy2track-custom.css?v=[cs_version]" rel="stylesheet" />
        <link href="css/style.css?v=[cs_version]" rel="stylesheet" />


        <meta name="viewport" content="width=device-width, initial-scale=1.0, viewport-fit=cover"/>
    </head>
    <body id="page-top" class="d-flex flex-column h-100">

        <div id="spinner">
            <div class="loader">
                <div class="face">
                    <div class="circle"></div>
                </div>
                <div class="face">
                    <div class="circle"></div>
                </div>
                <div id="spinner_message">
                    System wird geladen...
                </div>
            </div>
        </div>

        <!-- Navigation-->
        <nav class="navbar navbar-expand-lg navbar-light fixed-top py-3" id="mainNav">
            <div class="container px-4 px-lg-5">
                <a class="navbar-brand" href="#page-top">Easy2Track</a>
                <button class="navbar-toggler navbar-toggler-right" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false"
                    aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
                    <div class="collapse navbar-collapse" id="navbarResponsive">
                        <ul class="navbar-nav ms-auto my-2 my-lg-0">
                            <li class="nav-item"><a class="nav-link" href="../dashboard/"><i class="bi bi-speedometer2" aria-label="Dashboard"></i> Dashboard</a></li>
                            <li class="nav-item dropdown">
                                <a class="nav-link dropdown-toggle  active" href="#" id="navbarScrollingDropdown" role="button"
                                    data-bs-toggle="dropdown" aria-expanded="false">
                                    Für Betreiber:innen</a>
                                <ul class="dropdown-menu" aria-labelledby="navbarScrollingDropdown">
                                    <li><a class="dropdown-item" href="client.html">Classic QR-Code</a></li>
                                    <li><a class="dropdown-item  active" href="scanner.html">Checkin Scanner</a></li>
                                    <li><a class="dropdown-item" href="visitors.html">Admin Panel</a></li>
                                </ul>
                            </li>
                        </ul>
                        <a class="btn btn-primary btn-md ms-4" href="#"  id="logout_button"><i class="bi bi-box-arrow-right fs-5" aria-label="Abmelden"></i> Abmelden</a>
                    </div>
            </div>
        </nav>

        <!-- Contact-->
        <section class="page-section pb-5 flex-shrink-0" id="contact">
            <div class="container px-4 px-lg-5">

                <div class="row gx-4 gx-lg-5 justify-content-center">
                    <div class="col-lg-10 text-center">
                        <h2 class="mt-0">QR-Code Scannen für Checkin oder Check-Out
                        </h2>
                        <hr class="divider" />
                        <p class="text-muted mb-5">Bitte halte den QR-Code vor die Kamera, bis du die Rückmeldung bekommst, dass der Code erfolgreich gescannt wurde.
                        </br>
                            Gast hat keinen Code?  <a href="" data-bs-toggle="modal" data-bs-target="#modalscancode"> Dieses scannen lassen ></a>
                        </p>
                    </div>
                </div>

                <div class="row justify-content-center">
                    <div class="col-lg-6 col-sm-12 m-4">
                        <video id="preview" class="ratio ratio-1x1"></video>
                        <div id="data-preview"></div>
                    </div>

                    <div class="d-grid gap-2 col-lg-4 col-sm-8 my-auto">
                        <div class="row">
                            <div class="col-6 d-grid"><button id="check-in-button" class="btn btn-outline-primary">Check-In
                            </button></div>
                            <div class="col-6 d-grid"><button id="check-out-button" class="btn btn-outline-primary">Check-Out
                            </button></div>
                        </div>
                        <button id="abort-scan-button" class="btn btn btn-primary" style="display: none;">Scan abbrechen
                        </button>
                        <button id="automatic-mode-button" class="btn btn-outline-primary">Automatik aktivieren
                        </button>

                        <div id="camera-selection-wrapper" class="ui selection dropdown" style="display:none;">
                            <input id="camera_index" type="hidden" name="camera_index">
                            <i class="dropdown icon"></i>
                            <div id="camera-selection-default-text" class="text">Kamera</div>
                            <div id="camera-selection" class="menu"></div>
                        </div>
                    </div>
                </div>

            </div>
        </section>

        <!-- Footer-->
        <footer class="footer mt-auto bg-light py-4">
            <div class="container px-4 px-lg-5">
                <div class="small text-center text-muted">&copy; <script>document.write(new Date().getFullYear())</script> serviceBLICK by planBLICK GmbH
                </br></br>
                <a href="https://impressum.planblick.com" target="planblick" >Impressum</a>
                <span class="text-muted mx-2">|</span>
                <a href="https://datenschutz.planblick.com" target="planblick">Datenschutz</a></div>
            </div>
        </footer>

<!-- Bootstrap core JS-->
<script src="js/bootstrap.bundle.min.js"></script>

<!-- Core theme JS-->
<script src="js/theme-scripts.js"></script>

<!-- from old layout-->
   
   <script src="./pbcdn/vendor/jquery/jquery.min.js?v=[cs_version]"></script>
   <script src="/style-global/lib/moment/moment.min.js?v=[cs_version]"></script>
   <script src="./pbcdn/vendor/moment-with-locales.min.js?v=[cs_version]"></script>
   <script src="./pbcdn/vendor/moment-timezone.js?v=[cs_version]"></script>
   <script type="text/javascript" src="./js/instascan.min.js?v=[cs_version]"></script>
   <!-- Include jquery and init.js. All other includes will be handled in init.js -->
   <script type="module">import {Init} from './js/scanner_init.js?v=[cs_version]'; new Init().load();</script>
   <script type="module">import {pb_events} from './js/events.js?v=[cs_version]'; window.pb_events = new pb_events();</script>
   <script type="module">import {saveFromQr} from './js/app.js?v=[cs_version]'; window.saveFromQr = saveFromQr;</script>
   <script type="module">import {Account} from './pbcdn/account-api.js?v=[cs_version]'; window.Account = Account;</script>
   <script type="module">import {CONFIG} from './pbcdn/config.js?v=[cs_version]'; window.CONFIG = CONFIG;</script>
   <script type="module">import {getCookie} from './pbcdn/functions.js?v=[cs_version]'; window.getCookie = getCookie;</script>

<script>

</script>
<div id="login_modal" class="modal" aria-modal="true" role="dialog">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content modal-content-demo">
            <div class="modal-header">
                <h6 class="modal-title">Login benötigt</h6>

            </div>
            <div class="modal-body">
                <div id="login_container" class="m-4">
                    <div class="pb-3">
                        <input id="login" type="text" placeholder="Benutzername" class="form-control">
                    </div>
                    <div>
                        <input id="password" type="password" placeholder="Password" class="form-control">
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" id="login_modal_button" class="btn btn-primary"
                    onclick="">Anmelden</button>
            </div>
        </div>
    </div><!-- modal-dialog -->
</div>

<!-- Modal -->
<div class="modal fade" id="modalscancode" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog  modal-dialog-centered">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">QR-Code erstellen</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body text-center">
          <img src="images/scan-mich.JPG" width="120px" height="150px" alt="QR-Code erstellen">
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>

        </div>
      </div>
    </div>
  </div>

</body>
</html>
